package org.springblade.swzdr.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 人员_基本信息 实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@TableName("swzdr_ry_info")
@Schema(description = "RyInfo对象")
@EqualsAndHashCode(callSuper = true)
public class RyInfoEntity extends BaseEntity {

	/**
	 * 公民身份号码
	 */
	@Schema(description = "公民身份号码")
	private String gmsfhm;
	/**
	 * 姓名
	 */
	@Schema(description = "姓名")
	private String xm;
	/**
	 * 性别(1男2女3未知)
	 */
	@Schema(description = "性别(1男2女3未知)")
	private Integer xb;
	/**
	 * 出生日期
	 */
	@Schema(description = "出生日期")
	private String csrq;
	/**
	 * 民族
	 */
	@Schema(description = "民族")
	private String mz;
	/**
	 * 户籍地详址
	 */
	@Schema(description = "户籍地详址")
	private String hjdxz;
	/**
	 * 户籍地派出所
	 */
	@Schema(description = "户籍地派出所")
	private String hjdpcs;
	/**
	 * 居住地详址
	 */
	@Schema(description = "居住地详址")
	private String jzdxz;
	/**
	 * 居住地派出所
	 */
	@Schema(description = "居住地派出所")
	private String jzdpcs;
	/**
	 * 重视等级 0=无/1=C/2=B/3=A
	 */
	@Schema(description = "0=无/1=C/2=B/3=A")
	private Integer level;
	/**
	 * 派出所id
	 */
	@Schema(description = "派出所id")
	private Long pcsId;
	/**
	 * 社区id
	 */
	@Schema(description = "社区id")
	private Long sqId;
	/**
	 * 管控民警id
	 */
	@Schema(description = "管控民警id")
	private Long mjId;
}
